Page MenuHomePhabricator

Support IPv6 configuration for SNMP listen address
Closed, ResolvedPublicFEATURE REQUEST

Description

The SNMPD version we use support slistening on IPv6 sockets, too.

#  Listen for connections from the local system only
agentAddress  udp:127.0.0.1:161
#  Listen for connections on all interfaces (both IPv4 *and* IPv6)
#agentAddress udp:161,udp6:[::1]:161

The current configuration nodes are not clear about IPv6 address support.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

c-po created this task.May 21 2018, 5:07 PM
c-po changed the task status from Open to In progress.May 22 2018, 4:51 PM
c-po moved this task from Need Triage to In Progress on the VyOS 1.2 Crux board.
syncer triaged this task as Normal priority.May 27 2018, 9:38 AM
c-po moved this task from In Progress to Finished on the VyOS 1.2 Crux board.Jun 4 2018, 6:26 PM
c-po closed this task as Resolved.Jun 8 2018, 8:41 AM